
# shellcheck disable=SC1128
#!/bin/bash

# Set the path to the server.py script
SERVER_PATH=server.py

# Set the default values for the arguments
MODEL_NAME_OR_PATH="../../../model/chatglm2-6b"
CHECKPOINT=None
CHECKPOINT_PATH="../../../model/ckpt/chatglm2-6b-qlora-INSv11-rank16-1e-3-30/checkpoint-2000"
PRE_SEQ_LEN=128
QUANTIZATION_BIT=8
PORT=8002

# Call the server.py script with the parsed arguments
python $SERVER_PATH \
    --model_name_or_path $MODEL_NAME_OR_PATH \
    --checkpoint $CHECKPOINT \
    --checkpoint_path $CHECKPOINT_PATH \
    --pre_seq_len $PRE_SEQ_LEN \
    --quantization_bit $QUANTIZATION_BIT \
    --port $PORT